Vulnerability & Exploit Database

Back to search

IBM Cognos tm1admsd.exe Overflow

This module exploits a stack buffer overflow in IBM Cognos Analytic Server Admin service. The vulnerability exists in the tm1admsd.exe component, due to a dangerous copy of user controlled data to the stack, via memcpy, without validating the supplied length and data. The module has been tested successfully on IBM Cognos Express 9.5 over Windows XP SP3.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/windows/misc/ibm_cognos_tm1admsd_bof

Authors

  • Unknown
  • juan vazquez <juan.vazquez [at] metasploit.com>

References

Targets

  • IBM Cognos Express 9.5 / Windows XP SP3

Platforms

  • windows

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/windows/misc/ibm_cognos_tm1admsd_bof msf exploit(ibm_cognos_tm1admsd_bof) > show targets ...targets... msf exploit(ibm_cognos_tm1admsd_bof) > set TARGET <target-id> msf exploit(ibm_cognos_tm1admsd_bof) > show options ...show and set options... msf exploit(ibm_cognos_tm1admsd_bof) > exploit